

<!DOCTYPE html>
<html class="writer-html4" lang="zh-CN" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>2 SDK配置说明 &mdash; PicoVR Unity SDK 0.1 文档</title>
  

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
        <script type="text/javascript" src="_static/translations.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    
    <link rel="index" title="索引" href="genindex.html" />
    <link rel="search" title="搜索" href="search.html" />
    <link rel="next" title="3 开发注意事项" href="chapter_three.html" />
    <link rel="prev" title="1 SDK简介" href="chapter_one.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> PicoVR Unity SDK
          

          
          </a>

          
            
            
              <div class="version">
                v_2.8.10
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="chapter_one.html">1 SDK简介</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">2 SDK配置说明</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#id2">2.1     支持设备</a></li>
<li class="toctree-l2"><a class="reference internal" href="#id3">2.2     开发环境要求</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="chapter_three.html">3 开发注意事项</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_four.html">4 SDK接入快速入门</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_five.html">5 硬件产品开发指南</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_six.html">6       性能优化指南</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_seven.html">7  API接口函数一览</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_eight.html">8       进阶功能</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_nine.html">9       支付系统</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_ten.html">10      VR输入法</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_eleven.html">11      常见问题解答</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">PicoVR Unity SDK</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>2 SDK配置说明</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="_sources/chapter_two.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="sdk">
<span id="id1"></span><h1>2 SDK配置说明<a class="headerlink" href="#sdk" title="永久链接至标题">¶</a></h1>
<div class="section" id="id2">
<h2>2.1     支持设备<a class="headerlink" href="#id2" title="永久链接至标题">¶</a></h2>
<p>Pico G2 4K系列，Pico Neo 2系列，Pico Neo 3 系列</p>
</div>
<div class="section" id="id3">
<h2>2.2     开发环境要求<a class="headerlink" href="#id3" title="永久链接至标题">¶</a></h2>
<p>支持Unity版本 ：2018.4.x、2019.4.x、2020.3.x、2021.1.x.</p>
<table border="1" class="docutils">
<colgroup>
<col width="33%" />
<col width="67%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td>JDK</td>
<td>jdk1.8.0及以上</td>
</tr>
<tr class="row-even"><td>Android SDK</td>
<td>API Level 29及以上</td>
</tr>
</tbody>
</table>
<p>注意：</p>
<p>如果遇到Unity打包报错“Execution failed for task ‘:processReleaseResources’”，请检查Android SDK里是否安装API29及以上。</p>
<p>Unity 设置：Minimum API Level： 23 - 27</p>
<p>Unity Target API Level： 建议设置 27，如果设置28及以上且应用有网络请求相关内容，会报错</p>
<p>“{“isSuccess”: “false”, “msg”: “Network exception”}（highest installed）”。</p>
<p>Unity Target API Level使用低版本Android SDK API 可删除Android Manifest文件中如下标签：</p>
<p>android:requestLegacyExternalStorage=”true”</p>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="chapter_three.html" class="btn btn-neutral float-right" title="3 开发注意事项" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="chapter_one.html" class="btn btn-neutral float-left" title="1 SDK简介" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; 版权所有 2015-2021 Pico Interactive, Inc. All Rights Reserved..

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>